CTAN Comprehensive TeX Archive Network

New on CTAN: datepicker-pro

Date: May 8, 2016 7:37:42 PM CEST
D. P. Story sub­mit­ted the datepicker-pro pack­age. Ver­sion num­ber: 2016-05-06 Li­cense type: lp­pl1.2 Sum­mary de­scrip­tion: Create a popup datepicker us­ing SWF An­nounce­ment text:
One of the (many) de­fi­cien­cies of Adobe Acro­bat Reader/Adobe Acro­bat is that they have never sup­ported a proper date picker. This pack­age now sup­plies one. The \datepicker com­mand cre­ates a read­only text field and a push but­ton to its right. Press­ing on the push but­ton brings forth a SWF file dis­play­ing a cal­en­dar. The user then chooses a date from the cal­en­dar, the the date is trans­ferred to the text field. This is a "pro" ap­pli­ca­tion, which, in the jar­gon of AeB, means that Adobe Dis­tiller is re­quired as the PDF cre­ator. The only drivers sup­ported, as a re­sult, are dvips and dvip­sone. As with all such spe­cial fea­tures, to ex­pe­ri­ence the datepicker, Adobe Reader or Acro­bat are needed. Most other PDF read­ers do not sup­port form field, rich me­dia an­no­ta­tions, and JavaScript.
This pack­age is lo­cated at http://mir­ror.ctan.org/macros/la­tex/con­trib/datepicker-pro More in­for­ma­tion is at http://www.ctan.org/pkg/datepicker-pro We are sup­ported by the TeX User Groups. Please join a users group; see http://www.tug.org/user­groups.html .
Thanks for the up­load. For the CTAN Team Ina Dau

datepicker-pro – Create a popup datepicker us­ing SWF

One of the (many) de­fi­cien­cies of Adobe Acro­bat Reader/Adobe Acro­bat is that they have never sup­ported a proper date picker. This pack­age now sup­plies one. The \datepicker com­mand cre­ates a read­only text field and a push but­ton to its right. Press­ing on the push­but­ton brings forth a SWF file dis­play­ing a cal­en­dar. The user then chooses a date from the cal­en­dar, the the date is trans­ferred to the text field.

This is a "pro" ap­pli­ca­tion, which, in the jar­gon of AeB, means that Adobe Dis­tiller is re­quired as the PDF cre­ator. The only drivers sup­ported, as a re­sult, are dvips and dvip­sone.

As with all such spe­cial fea­tures, to ex­pe­ri­ence the datepicker, Adobe Reader or Acro­bat are needed. Most other PDF read­ers do not sup­port form field, rich me­dia an­no­ta­tions, and JavaScript.

Pack­agedatepicker-pro
Ver­sion 2018-07-02
Copy­right2013–2016 D. P. Story
Main­tainerDon­ald P. Story

An­nounce­ments

more

Guest Book Sitemap Contact Contact Author